<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";

class Ordencompraingreso{


	//implementamos nuestro constructor
public function __construct(){

}


//metodo insertar registro
public function insertar($idproveedor,$idalmacen,$idusuario,$tipo_comprobante,$serie_comprobante,$num_comprobante,$num_ordencompraingreso,$islr,$idimpuestoslr,
$fecha_hora,$fecha_horar,$impuesto,$total_compra,$total_comprad,$total_comprai,$total_compraid,$observacion,$idformapagop,$idarticulo,$cantidad,$precio_compra,$precio_comprad,$precio_venta,$precio_ventad,$fecha_lote,$nrolote,$tipo)
{
	
	$sql	="INSERT INTO ordencompraingreso (idproveedor,idalmacen,idusuario,tipo_comprobante,serie_comprobante,num_comprobante,
	fecha_hora,fecha_horar,impuesto,total_compra,total_comprad,total_comprai,total_compraid,estado,num_ordencompraingreso,islr,idimpuestoslr,observacion,idformapagop) 
			VALUES ('$idproveedor','$idalmacen','$idusuario','$tipo_comprobante','$serie_comprobante',
			'$num_comprobante','$fecha_hora','$fecha_horar','$impuesto','$total_compra','$total_comprad','$total_comprai','$total_compraid','Aceptado','$num_ordencompraingreso','$islr','$idimpuestoslr','$observacion','$idformapagop')";
	//return ejecutarConsulta($sql);
	//$idordencompraingresonew=50;
	//echo $sql; 
	$idordencompraingresonew		=	ejecutarConsulta_retornarID($sql);
	$num_elementos	=	0;
	$sw							=	true;
	$numerolotep		= 	'0000000000';
	$fecha_lotep		=	$fecha_hora;
	
	// Se procesa cada articulo 
	while ($num_elementos < count($idarticulo)) {
		//Se verifica el tipo si es un servicios o un articulo
		if ($tipo[$num_elementos]=='A') {
			//Se agrega el detalle de la compra
			if ($nrolote[$num_elementos]=='N/A') {
				$nl = $numerolotep;
				$fl = $fecha_lotep;
			}else{
				$nl = $nrolote[$num_elementos];
				$fl = $fecha_lote[$num_elementos];
			}
			$sql_detalle	="INSERT INTO detalle_ordencompraingreso (idordencompraingreso,idalmacen,idarticulo,cantidad,precio_compra,precio_comprad,precio_venta,precio_ventad,numerolote,fechalote) 
							VALUES('$idordencompraingresonew','$idalmacen','$idarticulo[$num_elementos]','$cantidad[$num_elementos]','$precio_compra[$num_elementos]','$precio_comprad[$num_elementos]','$precio_venta[$num_elementos]','$precio_ventad[$num_elementos]','$nl','$fl')";
			echo $sql_detalle;
			ejecutarConsulta($sql_detalle) or $sw=false;
			//Se actualiza costo en producto
			$sql_costo="UPDATE articulo SET costo='$precio_compra[$num_elementos]',costod='$precio_comprad[$num_elementos]',costoa='$precio_venta[$num_elementos]',costoad='$precio_ventad[$num_elementos]' WHERE idarticulo='$idarticulo[$num_elementos]'";
			echo $sql_costo;
			ejecutarConsulta($sql_costo) or $sw=false;
		}else{
			$sql_detalle	="INSERT INTO detalle_ordencompraingreso_servicio (idordencompraingreso,idservicio,cantidad,precio_compra,precio_comprad) 
							VALUES('$idordencompraingresonew','$idarticulo[$num_elementos]','$cantidad[$num_elementos]','$precio_compra[$num_elementos]','$precio_comprad[$num_elementos]')";
			echo $sql_detalle;
			ejecutarConsulta($sql_detalle) or $sw=false;
		}	
			$num_elementos=$num_elementos+1;
	 }
	 return $sw;
}

public function editar($idordencompraingreso,$idproveedor,$idalmacen,$idusuario,$tipo_comprobante,$serie_comprobante,$num_comprobante,$num_ordencompraingreso,$islr,$idimpuestoslr,
$fecha_hora,$fecha_horar,$impuesto,$total_compra,$total_comprad,$total_comprai,$total_compraid,$observacion,$idformapagop,$idarticulo,$cantidad,$precio_compra,$precio_comprad,$precio_venta,$precio_ventad,$fecha_lote,$nrolote,$tipo)
{
	
	$sql	="UPDATE ordencompraingreso SET idproveedor='$idproveedor',idalmacen='$idalmacen',idusuario='$idusuario',tipo_comprobante='$tipo_comprobante',serie_comprobante='$serie_comprobante',num_comprobante='$num_comprobante',
	fecha_hora='$fecha_hora',fecha_horar='$fecha_horar',impuesto='$impuesto',total_compra='$total_compra',total_comprad='$total_comprad',total_comprai='$total_comprai',total_compraid='$total_compraid',num_ordencompraingreso='$num_ordencompraingreso',islr='$islr',
	idimpuestoslr='$idimpuestoslr',observacion='$observacion',idformapagop='$idformapagop' WHERE idordencompraingreso='$idordencompraingreso'"; 
	
	$sw							=	true;
	$num_elementos	=	0;
	$numerolotep		= '0000000000';
	$fecha_lotep		=	$fecha_hora;
	echo $sql;
	ejecutarConsulta($sql) or $sw=false;
 
 // Se procesa cada articulo 
	if($sw){
		while ($num_elementos < count($idarticulo)) {
			//Se verifica el tipo si es un servicios o un articulo
			if ($tipo[$num_elementos]=='A') {
			
				$sql 	= "SELECT * FROM detalle_ordencompraingreso WHERE idordencompraingreso='$idordencompraingreso' AND idarticulo='$idarticulo[$num_elementos]'";	
				echo $sql;
				$result	=	ejecutarConsulta($sql) or $sw=false;;
			
				if (mysqli_num_rows($result) > 0) {
					$sql_detalle	="UPDATE detalle_ordencompraingreso  SET cantidad='$cantidad[$num_elementos]',precio_compra='$precio_compra[$num_elementos]',precio_comprad='$precio_comprad[$num_elementos]',
													precio_venta='$precio_venta[$num_elementos]',precio_ventad='$precio_ventad[$num_elementos]' WHERE idordencompraingreso='$idordencompraingreso' AND idarticulo='$idarticulo[$num_elementos]'";
					echo $sql_detalle;
					ejecutarConsulta($sql_detalle) or $sw=false;
				}else{
						//Se agrega el detalle de la compra
					if ($nrolote[$num_elementos]=='N/A') {
						$nl = $numerolotep;
						$fl = $fecha_lotep;
					}else{
						$nl = $nrolote[$num_elementos];
						$fl = $fecha_lote[$num_elementos];
					}
					$sql_detalle	="INSERT INTO detalle_ordencompraingreso (idordencompraingreso,idalmacen,idarticulo,cantidad,precio_compra,precio_comprad,precio_venta,precio_ventad,numerolote,fechalote) 
													VALUES('$idordencompraingreso','$idalmacen','$idarticulo[$num_elementos]','$cantidad[$num_elementos]','$precio_compra[$num_elementos]','$precio_comprad[$num_elementos]','$precio_venta[$num_elementos]','$precio_ventad[$num_elementos]','$nl','$fl')";
					echo $sql_detalle;
					ejecutarConsulta($sql_detalle) or $sw=false;
				}
				//Se actualiza costo en producto
				$sql_costo="UPDATE articulo SET costo='$precio_compra[$num_elementos]',costod='$precio_comprad[$num_elementos]',costoa='$precio_venta[$num_elementos]',costoad='$precio_ventad[$num_elementos]' WHERE idarticulo='$idarticulo[$num_elementos]'";
				echo $sql_costo;
				ejecutarConsulta($sql_costo) or $sw=false;
			}else{
				$sql 	= "SELECT * FROM detalle_ordencompraingreso_servicio WHERE idordencompraingreso='$idordencompraingreso' AND idservicio='$idarticulo[$num_elementos]'";	
				echo $sql;
				$result	=	ejecutarConsulta($sql) or $sw=false;;
				if (mysqli_num_rows($result) > 0) {
					$sql_detalle	="UPDATE detalle_ordencompraingreso_servicio SET cantidad='$cantidad[$num_elementos]',precio_compra='$precio_compra[$num_elementos]',precio_comprad='$precio_comprad[$num_elementos]' 
					WHERE idordencompraingreso='$idordencompraingreso' AND idservicio='$idarticulo[$num_elementos]'";
					echo $sql_detalle;
					ejecutarConsulta($sql_detalle) or $sw=false;
				}else{
					$sql_detalle	="INSERT INTO detalle_ordencompraingreso_servicio (idordencompraingreso,idservicio,cantidad,precio_compra,precio_comprad) 
								VALUES('$idordencompraingreso','$idarticulo[$num_elementos]','$cantidad[$num_elementos]','$precio_compra[$num_elementos]','$precio_comprad[$num_elementos]')";
					echo $sql_detalle;
					ejecutarConsulta($sql_detalle) or $sw=false;
				}	
			}

			$num_elementos=$num_elementos+1;
		}
	
		//Se verifica detalle de la bd con el actual de los productos
		$sql_detalleorden 	= "SELECT * FROM detalle_ordencompraingreso WHERE idordencompraingreso='$idordencompraingreso'";
		$resultdo						=	ejecutarConsulta($sql_detalleorden);
		if (mysqli_num_rows($resultdo) > 0) {
			while($filap = mysqli_fetch_assoc($resultdo)){
				$idarticulop 	= $filap["idarticulo"];
				$noexiste			= true;
				for ($i=0; $i < count($idarticulo); $i++) { 
					if($idarticulop==$idarticulo[$i]){
						$noexiste=false;
						break;
					}
				}
				if ($noexiste) {
					$sqld				= "DELETE FROM detalle_ordencompraingreso WHERE idordencompraingreso='$idordencompraingreso' AND idarticulo='$idarticulop'";
					echo $sqld;
					ejecutarConsulta($sqld) or $sw=false;
				}
			}
		}

		//Se verifica detalle de la bd con el actual de los servicios
		$sql_detalleorden 	= "SELECT * FROM detalle_ordencompraingreso_servicio WHERE idordencompraingreso='$idordencompraingreso'";
		$resultdo						=	ejecutarConsulta($sql_detalleorden);
		if (mysqli_num_rows($resultdo) > 0) {
			while($filap = mysqli_fetch_assoc($resultdo)){
				$idarticulop 	= $filap["idservicio"];
				$noexiste			= true;
				for ($i=0; $i < count($idarticulo); $i++) { 
					if($idarticulop==$idarticulo[$i]){
						$noexiste=false;
						break;
					}
				}
				if ($noexiste) {
					$sqld				= "DELETE FROM detalle_ordencompraingreso_servicio WHERE idordencompraingreso='$idordencompraingreso' AND idservicio='$idarticulop'";
					echo $sqld;
					ejecutarConsulta($sqld) or $sw=false;
				}
			}
		}


	}
	return $sw;
}

public function anular($idordencompraingreso){
	$sql=	"UPDATE ordencompraingreso SET estado='Anulado' WHERE idordencompraingreso='$idordencompraingreso'";
	return ejecutarConsulta($sql);
}


//metodo para mostrar registros
public function mostrar($idordencompraingreso){
	$sql=	"SELECT i.idordencompraingreso,DATE(i.fecha_hora) as fecha,i.idordencompraingreso,DATE(i.fecha_horar) as fechar,i.idproveedor,p.nombre as proveedor,u.idusuario,u.nombre as usuario, i.tipo_comprobante,i.serie_comprobante,i.num_comprobante,i.total_compra,i.impuesto,i.estado,i.num_ordencompraingreso,i.observacion,i.idformapagop FROM ordencompraingreso i INNER JOIN persona p ON i.idproveedor=p.idpersona INNER JOIN usuario u ON i.idusuario=u.idusuario WHERE idordencompraingreso='$idordencompraingreso'";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para mostrar registros
public function buscardetalleordencompra($idordencompraingreso){
	$sql=	"SELECT di.idordencompraingreso,di.idarticulo,a.nombre,di.cantidad,di.precio_compra,di.precio_comprad,di.precio_venta,di.precio_ventad,di.numerolote,di.fechalote,'A' as tipo,a.exento 
	FROM detalle_ordencompraingreso di 
	INNER JOIN articulo a ON di.idarticulo=a.idarticulo 
	WHERE di.idordencompraingreso='$idordencompraingreso' 
	UNION ALL SELECT dis.idordencompraingreso,dis.idordencompraingreso as idarticulo,s.nombre,dis.cantidad,dis.precio_compra,dis.precio_comprad,dis.precio_compra as precio_venta,dis.precio_comprad as precio_ventad,'N/A' as numerolote,'N/A' as fechalote,'S' as tipo,s.exento 
	FROM detalle_ordencompraingreso_servicio dis 
	INNER JOIN (SELECT * FROM servicio WHERE idmodulo=2) s ON dis.idservicio=s.idservicio
	WHERE dis.idordencompraingreso='$idordencompraingreso'";
	return ejecutarConsultaSimpleFila2($sql);
}

//metodo para mostrar registros
public function buscarnrosuministro(){
	$sql=	"SELECT COUNT(idordencompraingreso) as nrosuministro FROM ordencompraingreso WHERE tipo_comprobante='Suministro' AND DATE_FORMAT(fecha_hora, '%Y%m%d') = DATE_FORMAT(now(), '%Y%m%d')";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para mostrar registros
public function buscarnroordencompraingreso(){
	$sql=	"SELECT COUNT(num_ordencompraingreso) as num_ordencompraingreso FROM ordencompraingreso WHERE tipo_comprobante='OrdenCompra' AND DATE_FORMAT(fecha_hora, '%Y%m%d') = DATE_FORMAT(now(), '%Y%m%d')";
	return ejecutarConsultaSimpleFila($sql);
}


public function buscarnrosuministromixto(){
	$sql=	"SELECT COUNT(idordencompraingreso) as nromixto FROM ordencompraingreso WHERE tipo_comprobante='NotaEntregam' AND DATE_FORMAT(fecha_hora, '%Y%m%d') = DATE_FORMAT(now(), '%Y%m%d')";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para buscar un almacen
public function buscarAlmacen($almacen){
	$sql=	"SELECT * FROM almacen WHERE nombre='$almacen'";
	return ejecutarConsultaSimpleFila($sql);
}

public function listarDetalle($idordencompraingreso){
	$sql=	"SELECT di.idordencompraingreso,di.idarticulo,a.nombre,di.cantidad,di.precio_compra,di.precio_comprad,di.precio_venta,di.precio_ventad,di.numerolote,di.fechalote,'A' as tipo FROM detalle_ordencompraingreso di INNER JOIN articulo a ON di.idarticulo=a.idarticulo WHERE di.idordencompraingreso='$idordencompraingreso' UNION ALL SELECT dis.idordencompraingreso,dis.idordencompraingreso as idarticulo,s.nombre,dis.cantidad,dis.precio_compra,dis.precio_comprad,dis.precio_compra as precio_venta,dis.precio_comprad as precio_ventad,'N/A' as numerolote,'N/A' as fechalote,'S' as tipo FROM detalle_ordencompraingreso_servicio dis INNER JOIN (SELECT * FROM servicio WHERE idmodulo=2) s ON dis.idservicio=s.idservicio WHERE dis.idordencompraingreso='$idordencompraingreso'";
	return ejecutarConsulta($sql);
}

public function listarordencomprasolo($idordencompraingreso){
	$sql=	"SELECT di.idordencompraingreso,di.idarticulo,a.nombre,di.cantidad,di.precio_compra,di.precio_comprad,di.precio_venta,di.precio_ventad,di.numerolote,di.fechalote,'A' as tipo,di.cantidadp,di.cantidadb FROM detalle_ordencompraingreso di INNER JOIN articulo a ON di.idarticulo=a.idarticulo WHERE di.idordencompraingreso='$idordencompraingreso' UNION ALL SELECT dis.idordencompraingreso,dis.idordencompraingreso as idarticulo,s.nombre,dis.cantidad,dis.precio_compra,dis.precio_comprad,dis.precio_compra as precio_venta,dis.precio_comprad as precio_ventad,'N/A' as numerolote,'N/A' as fechalote,'S' as tipo,dis.cantidad AS cantidadp,'0' AS cantidadb FROM detalle_ordencompraingreso_servicio dis INNER JOIN (SELECT * FROM servicio WHERE idmodulo=2) s ON dis.idservicio=s.idservicio WHERE dis.idordencompraingreso='$idordencompraingreso'";
	return ejecutarConsulta($sql);
}
//

//Buscamos un producto por el codigo de barra
public function agregarDetalleCodigoDeBarra($codigobarra){
	//$sql= 'SELECT * FROM articulo WHERE stock>0 AND codigo="$codigobarra"';
	//$sql= 'SELECT * FROM articulo WHERE codigo=:codigobarra';
	$sql= 'SELECT * FROM articulo WHERE codigo="$codigobarra"';
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql=	"SELECT i.idordencompraingreso,date_format(DATE(i.fecha_hora), '%d-%m-%Y') as fecha,i.idproveedor,p.nombre as proveedor,u.idusuario,u.nombre as usuario, i.tipo_comprobante,i.serie_comprobante,i.num_comprobante,i.total_compra,i.total_comprad,i.impuesto,i.estado FROM ordencompraingreso i INNER JOIN persona p ON i.idproveedor=p.idpersona INNER JOIN usuario u ON i.idusuario=u.idusuario ORDER BY i.idordencompraingreso DESC";
	return ejecutarConsulta($sql);
}

//listar registros
public function listarordencompra($idproveedor){
	$sql=	"SELECT i.idordencompraingreso,date_format(DATE(i.fecha_hora), '%d-%m-%Y') as fecha,i.idproveedor,p.nombre as proveedor,u.idusuario,u.nombre as usuario, i.tipo_comprobante,i.serie_comprobante,i.num_comprobante,i.total_compra,i.total_comprad,i.impuesto,i.estado,i.num_ordencompraingreso FROM ordencompraingreso i INNER JOIN persona p ON i.idproveedor=p.idpersona INNER JOIN usuario u ON i.idusuario=u.idusuario WHERE i.idproveedor='$idproveedor' ORDER BY i.idordencompraingreso DESC";
	return ejecutarConsulta($sql);
}


//listarmixto registros
public function listarmixto(){
	$sql=	"SELECT i.idordencompraingreso,date_format(DATE(i.fecha_hora), '%d-%m-%Y') as fecha,i.idproveedor,p.nombre as proveedor,u.idusuario,u.nombre as usuario, i.tipo_comprobante,i.serie_comprobante,i.num_comprobante,i.num_suministro,i.total_compra,i.total_comprad,i.impuesto,i.estado,sum(d.cantidad) as totalingresounidades FROM ordencompraingreso i INNER JOIN detalle_ordencompraingreso d ON d.idordencompraingreso=i.idordencompraingreso INNER JOIN persona p ON i.idproveedor=p.idpersona INNER JOIN usuario u ON i.idusuario=u.idusuario WHERE num_suministro<>'' GROUP BY i.idordencompraingreso ORDER BY i.idordencompraingreso DESC";
	return ejecutarConsulta($sql);
}
//SELECT i.idordencompraingreso,DATE(i.fecha_hora) as fecha,i.idproveedor,p.nombre as proveedor,u.idusuario,u.nombre as usuario, i.tipo_comprobante,i.serie_comprobante,i.num_comprobante,i.total_compra,i.total_comprad,i.impuesto,i.estado FROM ordencompraingreso i INNER JOIN persona p ON i.idproveedor=p.idpersona INNER JOIN usuario u ON i.idusuario=u.idusuario WHERE num_suministro<>'' ORDER BY i.idordencompraingreso DESC

//listar registros
public function listara(){
	$sql=	"SELECT i.idordencompraingreso,date_format(DATE(i.fecha_hora), '%d-%m-%Y') as fecha,i.idproveedor,p.nombre as proveedor,u.idusuario,u.nombre as usuario, i.tipo_comprobante,i.serie_comprobante,i.num_comprobante,i.total_compra,i.total_comprad,i.impuesto,i.estado,i.num_ordencompraingreso FROM ordencompraingreso i INNER JOIN persona p ON i.idproveedor=p.idpersona INNER JOIN usuario u ON i.idusuario=u.idusuario WHERE i.serie_comprobante<>'N/A' ORDER BY i.idordencompraingreso DESC";
	return ejecutarConsulta($sql);
}

//listar registros
public function listarinsumo(){
	$sql=	"SELECT i.idordencompraingreso,date_format(DATE(i.fecha_hora), '%d-%m-%Y') as fecha,i.idproveedor,p.nombre as proveedor,p.tipo_persona,u.idusuario,u.nombre as usuario, i.tipo_comprobante,i.serie_comprobante,i.num_comprobante,i.total_compra,i.total_comprad,i.impuesto,i.estado,i.num_suministro FROM ordencompraingreso i INNER JOIN persona p ON i.idproveedor=p.idpersona INNER JOIN usuario u ON i.idusuario=u.idusuario WHERE i.serie_comprobante<>'N/A' AND (p.tipo_persona='Proveedorinsumos' OR p.tipo_persona='Proveedorfabricante')  ORDER BY i.idordencompraingreso DESC";
	return ejecutarConsulta($sql);
}

//listar registros
public function listars(){
	$sql=	"SELECT i.idordencompraingreso,date_format(DATE(i.fecha_hora), '%d-%m-%Y') as fecha,i.idproveedor,p.nombre as proveedor,u.idusuario,u.nombre as usuario, i.tipo_comprobante,i.serie_comprobante,i.num_comprobante,i.total_compra,i.impuesto,i.estado,i.num_suministro FROM ordencompraingreso i INNER JOIN persona p ON i.idproveedor=p.idpersona INNER JOIN usuario u ON i.idusuario=u.idusuario WHERE i.num_suministro<>'N/A' ORDER BY i.idordencompraingreso DESC";
	return ejecutarConsulta($sql);
}

//listar registros
public function impuestoslrtodo($idordencompraingreso){
	$sql=	"SELECT i.*,ds.idservicio,se.nombre as servicio,p.*,im.porcentaje*100 as porcentajeimpuesto, round(im.porcentaje*i.total_compra,2) as retencion FROM ordencompraingreso i INNER JOIN (SELECT ds.idordencompraingreso,ds.idservicio FROM detalle_ordencompraingreso_servicio ds GROUP BY ds.idordencompraingreso) AS ds ON ds.idordencompraingreso=i.idordencompraingreso INNER JOIN servicio se ON se.idservicio=ds.idservicio INNER JOIN persona p ON p.idpersona=i.idproveedor LEFT JOIN impuestosrl im ON im.idimpuestoslr=i.idimpuestoslr WHERE i.islr='si' AND i.estado='Pagada' AND i.idordencompraingreso='$idordencompraingreso'";
	return ejecutarConsulta($sql);
}

public function ordencompraingresocabecera($idordencompraingreso){
	$sql= "SELECT i.idordencompraingreso,DATE(i.fecha_hora) as fecha,i.idordencompraingreso,DATE(i.fecha_horar) as fechar,i.idproveedor,p.nombre as proveedor,u.idusuario,u.nombre as usuario, i.tipo_comprobante,i.serie_comprobante,i.num_comprobante,i.total_compra,i.impuesto,i.estado,i.num_ordencompraingreso,i.observacion,i.idformapagop,p.direccion,p.tipo_documento,p.num_documento,p.telefono FROM ordencompraingreso i INNER JOIN persona p ON i.idproveedor=p.idpersona INNER JOIN usuario u ON i.idusuario=u.idusuario WHERE idordencompraingreso='$idordencompraingreso'";
	return ejecutarConsulta($sql);
}

public function ordencompraingresodetalles($idordencompraingreso){
	$sql="SELECT di.idordencompraingreso,di.idarticulo,a.nombre,di.cantidad,di.precio_compra,di.precio_comprad,di.precio_venta,di.precio_ventad,di.numerolote,di.fechalote,'A' as tipo FROM detalle_ordencompraingreso di INNER JOIN articulo a ON di.idarticulo=a.idarticulo WHERE di.idordencompraingreso='$idordencompraingreso' UNION ALL SELECT dis.idordencompraingreso,dis.idordencompraingreso as idarticulo,s.nombre,dis.cantidad,dis.precio_compra,dis.precio_comprad,dis.precio_compra as precio_venta,dis.precio_comprad as precio_ventad,'N/A' as numerolote,'N/A' as fechalote,'S' as tipo FROM detalle_ordencompraingreso_servicio dis INNER JOIN (SELECT * FROM servicio WHERE idmodulo=2) s ON dis.idservicio=s.idservicio WHERE dis.idordencompraingreso='$idordencompraingreso'";
	return ejecutarConsulta($sql);
}

}

 ?>
